Bug 1289400 - [abrt] kf5-kinit: CachedDevice::getDevice(): kdeinit5 killed by SIGSEGV
[abrt] kf5-kinit: CachedDevice::getDevice(): kdeinit5 killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kf5-kinit (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Vrátil
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:e9a8d4bf21c20ccb1f7d819dfa3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-07 21:08 EST by Fabio Correa
Modified: 2016-12-20 11:44 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:44:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (24.47 KB, text/plain)
2015-12-07 21:08 EST, Fabio Correa
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-07 21:08 EST, Fabio Correa
no flags Details
File: core_backtrace (3.34 KB, text/plain)
2015-12-07 21:08 EST, Fabio Correa
no flags Details
File: dso_list (12.50 KB, text/plain)
2015-12-07 21:08 EST, Fabio Correa
no flags Details
File: environ (4.57 KB, text/plain)
2015-12-07 21:08 EST, Fabio Correa
no flags Details
File: exploitable (82 bytes, text/plain)
2015-12-07 21:08 EST, Fabio Correa
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-07 21:08 EST, Fabio Correa
no flags Details
File: maps (55.84 KB, text/plain)
2015-12-07 21:08 EST, Fabio Correa
no flags Details
File: mountinfo (3.01 KB, text/plain)
2015-12-07 21:08 EST, Fabio Correa
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-07 21:08 EST, Fabio Correa
no flags Details
File: open_fds (1.02 KB, text/plain)
2015-12-07 21:08 EST, Fabio Correa
no flags Details
File: proc_pid_status (1014 bytes, text/plain)
2015-12-07 21:08 EST, Fabio Correa
no flags Details

  None (edit)
Description Fabio Correa 2015-12-07 21:08:12 EST
Version-Release number of selected component:
kf5-kinit-5.16.0-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        'mtp.so [kdeinit5] mtp local:/run/user/1000/klauncherXM3104.1.slave-socket local:/run/user/1000/dolphinjd3895.4.slave-socket'
crash_function: CachedDevice::getDevice
executable:     /usr/bin/kdeinit5
global_pid:     4282
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 CachedDevice::getDevice at ../../mtp/devicecache.cpp:63
 #1 MTPSlave::getPath at ../../mtp/kio_mtp.cpp:102
 #2 MTPSlave::stat at ../../mtp/kio_mtp.cpp:389
 #3 KIO::SlaveBase::dispatch at ../../../src/core/slavebase.cpp:1141
 #4 KIO::SlaveBase::dispatchLoop at ../../../src/core/slavebase.cpp:299
 #5 kdemain at ../../mtp/kio_mtp.cpp:56
 #6 launch at ../../../src/kdeinit/kinit.cpp:745
 #7 handle_launcher_request at ../../../src/kdeinit/kinit.cpp:1185
 #8 handle_requests at ../../../src/kdeinit/kinit.cpp:1374
Comment 1 Fabio Correa 2015-12-07 21:08:18 EST
Created attachment 1103409 [details]
File: backtrace
Comment 2 Fabio Correa 2015-12-07 21:08:19 EST
Created attachment 1103410 [details]
File: cgroup
Comment 3 Fabio Correa 2015-12-07 21:08:20 EST
Created attachment 1103411 [details]
File: core_backtrace
Comment 4 Fabio Correa 2015-12-07 21:08:21 EST
Created attachment 1103412 [details]
File: dso_list
Comment 5 Fabio Correa 2015-12-07 21:08:23 EST
Created attachment 1103413 [details]
File: environ
Comment 6 Fabio Correa 2015-12-07 21:08:24 EST
Created attachment 1103414 [details]
File: exploitable
Comment 7 Fabio Correa 2015-12-07 21:08:25 EST
Created attachment 1103415 [details]
File: limits
Comment 8 Fabio Correa 2015-12-07 21:08:27 EST
Created attachment 1103416 [details]
File: maps
Comment 9 Fabio Correa 2015-12-07 21:08:28 EST
Created attachment 1103417 [details]
File: mountinfo
Comment 10 Fabio Correa 2015-12-07 21:08:29 EST
Created attachment 1103418 [details]
File: namespaces
Comment 11 Fabio Correa 2015-12-07 21:08:30 EST
Created attachment 1103419 [details]
File: open_fds
Comment 12 Fabio Correa 2015-12-07 21:08:32 EST
Created attachment 1103420 [details]
File: proc_pid_status
Comment 13 Fabio Correa 2016-01-09 10:17:17 EST
Another user experienced a similar problem:

Removed my phone

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        'mtp.so [kdeinit5] mtp local:/run/user/1000/klauncherXM3114.1.slave-socket local:/run/user/1000/dolphinjd1869.4.slave-socket'
crash_function: CachedDevice::getDevice
executable:     /usr/bin/kdeinit5
global_pid:     1891
kernel:         4.2.8-300.fc23.x86_64
package:        kf5-kinit-5.18.0-1.fc23
reason:         kdeinit5 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Fedora End Of Life 2016-11-24 09:03:10 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 11:44:35 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.